Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.director
Class AbstractScoreDirectorFactory

    java.lang.Object
      org.optaplanner.core.impl.score.director.AbstractScoreDirectorFactory

All Implemented Interfaces:
  InnerScoreDirectorFactory, ScoreDirectorFactory

Direct Known Subclasses:
  DroolsScoreDirectorFactory, EasyScoreDirectorFactory, IncrementalScoreDirectorFactory

    public abstract class AbstractScoreDirectorFactory

extends Object
implements InnerScoreDirectorFactory

Abstract superclass for `ScoreDirectorFactory`.

See Also:
  `ScoreDirectorFactory`

Field Summary
`protected InnerScoreDirectorFactory` | `assertionScoreDirectorFactory`
`protected InitializingScoreTrend` | `initializingScoreTrend`
`protected org.slf4j.Logger` | `logger`
`protected ScoreDefinition` | `scoreDefinition`
`protected SolutionDescriptor` | `solutionDescriptor`

Constructor Summary
`AbstractScoreDirectorFactory()`

Method Summary
`void` | `assertScoreFromScratch(Solution solution)` Asserts that if the `Score` is calculated for the parameter solution, it would be equal to the `Solution.getScore()` of that parameter.
`InnerScoreDirectorFactory` | `getAssertionScoreDirectorFactory()`
`InitializingScoreTrend` | `getInitializingScoreTrend()`
`ScoreDefinition` | `getScoreDefinition()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`void` | `setAssertionScoreDirectorFactory(InnerScoreDirectorFactory assertionScoreDirectorFactory)`
`void` | `setInitializingScoreTrend(InitializingScoreTrend initializingScoreTrend)`
`void` | `setScoreDefinition(ScoreDefinition scoreDefinition)`
`void` | `setSolutionDescriptor(SolutionDescriptor solutionDescriptor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.score.director.InnerScoreDirectorFactory
`buildScoreDirector`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### solutionDescriptor

    protected SolutionDescriptor solutionDescriptor

### scoreDefinition

    protected ScoreDefinition scoreDefinition

### initializingScoreTrend

    protected InitializingScoreTrend initializingScoreTrend

### assertionScoreDirectorFactory

    protected InnerScoreDirectorFactory assertionScoreDirectorFactory

Constructor Detail

### AbstractScoreDirectorFactory

    public AbstractScoreDirectorFactory()

Method Detail

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

  Specified by:
    `getSolutionDescriptor` in interface `InnerScoreDirectorFactory`
  Returns:
    never null

### setSolutionDescriptor

    public void setSolutionDescriptor(SolutionDescriptor solutionDescriptor)

### getScoreDefinition

    public ScoreDefinition getScoreDefinition()

  Specified by:
    `getScoreDefinition` in interface `InnerScoreDirectorFactory`
  Returns:
    never null

### setScoreDefinition

    public void setScoreDefinition(ScoreDefinition scoreDefinition)

### getInitializingScoreTrend

    public InitializingScoreTrend getInitializingScoreTrend()

  Specified by:
    `getInitializingScoreTrend` in interface `InnerScoreDirectorFactory`
  Returns:
    never null

### setInitializingScoreTrend

    public void setInitializingScoreTrend(InitializingScoreTrend initializingScoreTrend)

### getAssertionScoreDirectorFactory

    public InnerScoreDirectorFactory getAssertionScoreDirectorFactory()

### setAssertionScoreDirectorFactory

    public void setAssertionScoreDirectorFactory(InnerScoreDirectorFactory assertionScoreDirectorFactory)

### assertScoreFromScratch

    public void assertScoreFromScratch(Solution solution)

  Description copied from interface: `InnerScoreDirectorFactory`
  Asserts that if the `Score` is calculated for the parameter solution, it would be equal to the `Solution.getScore()` of that parameter.

  Specified by:
    `assertScoreFromScratch` in interface `InnerScoreDirectorFactory`
  Parameters:
    `solution` - never null
  See Also:
    `InnerScoreDirector.assertWorkingScoreFromScratch(Score, Object)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.